{
  config,
  lib,
  ...
}:
with lib;
mkIf (elem "fprintd" config.machine.services) {
  services.fprintd = {
    enable = true;
  };

  # Do not allow login/unlock with fingerprint
  security.pam.services = {
    "login".fprintAuth = false;
    "swaylock".fprintAuth = false;
  };
}
