{
  lib,
  config,
  users,
  pkgsets,
  ...
}:

let
  user = users."${config.home.username}";
in
lib.mkIf (user ? pkgs) {
  home.packages = lib.flatten (
    map (setName: lib.optionals (pkgsets ? "${setName}") pkgsets."${setName}".pkgwrap) user.pkgs
  );
}
