{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalAttrs (lib.elem "nvim::lsp::rust" config.machine.services) {
  rust_analyzer = {
    cmd = [
      "${pkgs.rustup}/bin/rustup"
      "run"
      "nightly"
      "rust-analyzer"
    ];
  };
}
